[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TInterfaceList.Delete

Delete an interface from the list.

## Declaration

Source position: classesh.inc line 1877

`public procedure TInterfaceList.Delete(`
`index: Integer`
`);`

## Description

Delete is the implementation of the IInterfaceList.Delete method. It clears the slot first and then removes the element from the list.

## See also

IInterfaceList.Delete |  | Remove an interface from the list
TInterfaceList.Remove |  | Remove an interface from the list
TInterfaceList.Add |  | Add an interface to the list
TList.Delete |  | Removes a pointer from the list.
TFPList.Delete |  | Removes a pointer from the list.

Documentation generated on: Feb 26 2014